// Red Hat BIND Configuration Tool
// 
// Default initial "Caching Only" name server configuration
//

options {
	directory "/var/named";
	dump-file "/var/named/data/cache_dump.db";
        statistics-file "/var/named/data/named_stats.txt";
	/*
	 * If there is a firewall between you and nameservers you want
	 * to talk to, you might need to uncomment the query-source
	 * directive below.  Previous versions of BIND always asked
	 * questions using port 53, but BIND 8.1 uses an unprivileged
	 * port by default.
	 */
	 // query-source address * port 53;
	// listen-on port 53 { 127.0.0.1; };
	// allow-query { any; };
};
key DDNS {
	algorithm HMAC-MD5;
	secret "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx";
};
zone "." IN {
	type hint;
	file "named.root";
};

zone "localdomain." IN {
	type master;
	file "localdomain.zone";
	allow-update { none; };
};

zone "localhost." IN {
	type master;
	file "localhost.zone";
	allow-update { none; };
};

zone "0.0.127.in-addr.arpa." IN {
	type master;
	file "named.local";
	allow-update { none; };
};

zone "0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.0.ip6.arpa." IN {
        type master;
	file "named.ip6.local";
	allow-update { none; };
};

zone "255.in-addr.arpa." IN {
	type master;
	file "named.broadcast";
	allow-update { none; };
};

zone "0.in-addr.arpa." IN {
	type master;
	file "named.zero";
	allow-update { none; };
};
zone "otacky.jp" {
     type master;
     file "otacky.jp.db";
     allow-update { key DDNS; };
};

zone "0.168.192.in-addr.arpa" {
     type master;
     file "0.168.192.in-addr.arpa.db";
     allow-update { key DDNS; };

};
